Engagement
Copy Page
deciBel API
Authentication
Login with email and password
POST
Refresh access token
POST
Logout current session
POST
Logout current user from all active sessions
POST
Verify email
POST
Resend verification email
POST
Start password recovery
POST
Register with email and password
POST
Reset password using token
POST
Trigger Google login
GET
Google Callback (Internal)
GET
exchange oauth token with Decibel
POST
Account Security
Change current user email
PATCH
Change logged-in user password
POST
Add additional email
POST
Set primary email
POST
Users
Update User permalink
update user Role
Get public profile by username
start Email change
verify Email change
delete current user avatar
delete current user cover
Get current user profile
Update current user profile
Update privacy settings
Update account tier
Update social links
Update profile or cover images
Get user listening history
Get suggested users to follow
Get public profile by user ID
Get all tracks uploaded by a user
Get all public playlists created by a user
Followers
Follow a user
Unfollow a user
Get followers
Get following
Block
Unblock a user
Block a user
Get list of blocked users
Tracks
Get all tracks of current user
Get track metadata user
Get genres
Get track status
Get Waveform URL
Get Secret Token
Get track metadata
Mock offline download for Pro users
Generate New Secret Token
Upload a new track
publishTrack
retry processing
Increment play count
Mark a track as completely listened to
Update track metadata
Delete a track
Delete Track's Cover
Get HTML iframe embed code for a tracks
Get all tracks of another user
Moderation
Report a track
Report a comment
View a list of reports (Admin only)
View a specific report (Admin only)
Update report status (Admin only)
Suspend a user account (Admin only)
Get platform wide metrics (Admin only)
Playlists
Get playlist with tracks Copy
Create playlist
Get playlist with tracks
Update playlist metadata
Delete a playlist
Add track to playlist
Reorder tracks inside a playlist
Get playlist secret link
Get HTML iframe embed code for a playlist
Remove track from playlist
regenerate secret link
Engagement
Like a track
POST
Remove like from a track
DELETE
Get users who liked a track
GET
Repost a track
POST
Remove a repost
DELETE
Get users who reposted a track
GET
Add a comment to a track
POST
Get comments for a track
GET
Delete comment
DELETE
Add a reply to a comment
POST
Get Replies for a track
GET
Discovery
Get followed users feed
Get popular tracks
Global search
Resolve a public permalink URL to an internal entity ID
Generate a radio station based on a genre
Generate a radio station based on artist similarities
Generate a radio station based on user's likes
Conversations
Get user's direct messages threads
Start a new DM thread
Get messages within a conversation thread
Send a message in a conversation
Notifications
Get user notifications
Mark all unread notifications as read
Get user notification preferences
Update notification preferences
Get quick badge unread count for UI
Register mobile device token for push notifications
Subscriptions
Initiate a Stripe checkout session
Stripe webhook listener
deprecated
Login with Google
Register with Google
Get all tracks of another user
Check email or profile URL availability
Schemas
Status
Google oauth token
UserUpdateResponse
Untitled Schema
TrackWaveformUrlDTO
publishTrackResponse
LoginResponse Copy
PaginatedTracksResponse
UpdatePlaylistRequest
CreateReplyRequest
Reply to comment Response
ErrorResponse
EmptyObject
MessageResponse
DeviceType
UserInfo
PublicTier
PlaylistType
CheckUserErrorField
DeviceInfo
RegisterLocalRequest
RegisterGoogleRequest
CheckUserRequest
CheckUserAvailableResponse
CheckUserUnavailableResponse
LoginLocalRequest
LoginGoogleRequest
AuthUser
LoginResponse
RefreshTokenRequest
RefreshTokenResponse
VerifyEmailRequest
ForgotPasswordRequest
ResetPasswordRequest
ResetLoggedInPasswordRequest
AddNewEmailRequest
UpdatePrimaryEmailRequest
PrivateProfile
PrivateSocialLinks
PrivacySettings
MyStats
MeResponse
UpdateMeRequest
UpdatePrivacyRequest
UpdateTierRequest
UpdateSocialLinksRequest
UpdateImagesJsonRequest
PublicProfileData
PublicProfileSocialLinks
PublicStats
PublicUserProfileResponse
FollowResponse
FollowerUser
PaginatedFollowersResponse
TrackArtist
TrackArtistWithAvatar
TrackResponse
TrackUploadResponse
CreatePlaylistRequest
PlaylistOwner
PlaylistTrack
PlaylistResponse
AddTrackToPlaylistRequest
ReorderTracksRequest
SecretLinkResponse
EmbedResponse
LikeResponse
RepostResponse
CreateCommentRequest
CommentUser
Comment
PaginatedCommentsResponse
TrendingTrack
SearchUser
SearchTrack
SearchPlaylist
SearchType
SearchResponse
FeedTrack
PaginatedFeedResponse
ResourceResolutionResponse
ConversationResponse
PaginatedConversationsResponse
MessageObject
CreateMessageRequest
PaginatedMessagesResponse
ConversationCreatedResponse
NotificationObject
PaginatedNotificationsResponse
NotificationSettings
UnreadCountResponse
DeviceTokenRequest
ReportRequest
UpdateReportRequest
ReportResponse
SuspendUserRequest
AnalyticsResponse
CheckoutRequest
CheckoutResponse
Engagement
Copy Page
Delete comment
Developing
DELETE
DELETE /api/comments/{commentId}
Try it
Run in Apidog
Run in Apidog
Request
Path Params
Generate Code
Responses
🟢
204
Success
Generate Code
This response does not have a body.
ðŸŸ
403
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
DELETE
'http://decibel.foo/apiDELETE /api/comments/'
Response
Response Example
{
}
Modified atÂ
2026-03-22 13:39:30
Previous
Get comments for a track
Next
Add a reply to a comment